Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network13.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
13.0.0.0
Broadcast address
13.255.255.255
First usable
13.0.0.1
Last usable
13.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 0D000000 · Integer 218103808 to 234881023
Reverse DNS zone
13.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001101..00000000.00000000.0000000013.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00001101..00000000.00000000.0000000013.0.0.0
Broadcast00001101..11111111.11111111.1111111113.255.255.255
Split into smaller subnets/17

13.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
113.0.0.0/1713.0.0.1 to 13.0.127.25413.0.127.25532,766
213.0.128.0/1713.0.128.1 to 13.0.255.25413.0.255.25532,766
313.1.0.0/1713.1.0.1 to 13.1.127.25413.1.127.25532,766
413.1.128.0/1713.1.128.1 to 13.1.255.25413.1.255.25532,766
513.2.0.0/1713.2.0.1 to 13.2.127.25413.2.127.25532,766
613.2.128.0/1713.2.128.1 to 13.2.255.25413.2.255.25532,766
713.3.0.0/1713.3.0.1 to 13.3.127.25413.3.127.25532,766
813.3.128.0/1713.3.128.1 to 13.3.255.25413.3.255.25532,766
913.4.0.0/1713.4.0.1 to 13.4.127.25413.4.127.25532,766
1013.4.128.0/1713.4.128.1 to 13.4.255.25413.4.255.25532,766
1113.5.0.0/1713.5.0.1 to 13.5.127.25413.5.127.25532,766
1213.5.128.0/1713.5.128.1 to 13.5.255.25413.5.255.25532,766
1313.6.0.0/1713.6.0.1 to 13.6.127.25413.6.127.25532,766
1413.6.128.0/1713.6.128.1 to 13.6.255.25413.6.255.25532,766
1513.7.0.0/1713.7.0.1 to 13.7.127.25413.7.127.25532,766
1613.7.128.0/1713.7.128.1 to 13.7.255.25413.7.255.25532,766
1713.8.0.0/1713.8.0.1 to 13.8.127.25413.8.127.25532,766
1813.8.128.0/1713.8.128.1 to 13.8.255.25413.8.255.25532,766
1913.9.0.0/1713.9.0.1 to 13.9.127.25413.9.127.25532,766
2013.9.128.0/1713.9.128.1 to 13.9.255.25413.9.255.25532,766
2113.10.0.0/1713.10.0.1 to 13.10.127.25413.10.127.25532,766
2213.10.128.0/1713.10.128.1 to 13.10.255.25413.10.255.25532,766
2313.11.0.0/1713.11.0.1 to 13.11.127.25413.11.127.25532,766
2413.11.128.0/1713.11.128.1 to 13.11.255.25413.11.255.25532,766
2513.12.0.0/1713.12.0.1 to 13.12.127.25413.12.127.25532,766
2613.12.128.0/1713.12.128.1 to 13.12.255.25413.12.255.25532,766
2713.13.0.0/1713.13.0.1 to 13.13.127.25413.13.127.25532,766
2813.13.128.0/1713.13.128.1 to 13.13.255.25413.13.255.25532,766
2913.14.0.0/1713.14.0.1 to 13.14.127.25413.14.127.25532,766
3013.14.128.0/1713.14.128.1 to 13.14.255.25413.14.255.25532,766
3113.15.0.0/1713.15.0.1 to 13.15.127.25413.15.127.25532,766
3213.15.128.0/1713.15.128.1 to 13.15.255.25413.15.255.25532,766
3313.16.0.0/1713.16.0.1 to 13.16.127.25413.16.127.25532,766
3413.16.128.0/1713.16.128.1 to 13.16.255.25413.16.255.25532,766
3513.17.0.0/1713.17.0.1 to 13.17.127.25413.17.127.25532,766
3613.17.128.0/1713.17.128.1 to 13.17.255.25413.17.255.25532,766
3713.18.0.0/1713.18.0.1 to 13.18.127.25413.18.127.25532,766
3813.18.128.0/1713.18.128.1 to 13.18.255.25413.18.255.25532,766
3913.19.0.0/1713.19.0.1 to 13.19.127.25413.19.127.25532,766
4013.19.128.0/1713.19.128.1 to 13.19.255.25413.19.255.25532,766
4113.20.0.0/1713.20.0.1 to 13.20.127.25413.20.127.25532,766
4213.20.128.0/1713.20.128.1 to 13.20.255.25413.20.255.25532,766
4313.21.0.0/1713.21.0.1 to 13.21.127.25413.21.127.25532,766
4413.21.128.0/1713.21.128.1 to 13.21.255.25413.21.255.25532,766
4513.22.0.0/1713.22.0.1 to 13.22.127.25413.22.127.25532,766
4613.22.128.0/1713.22.128.1 to 13.22.255.25413.22.255.25532,766
4713.23.0.0/1713.23.0.1 to 13.23.127.25413.23.127.25532,766
4813.23.128.0/1713.23.128.1 to 13.23.255.25413.23.255.25532,766
4913.24.0.0/1713.24.0.1 to 13.24.127.25413.24.127.25532,766
5013.24.128.0/1713.24.128.1 to 13.24.255.25413.24.255.25532,766
5113.25.0.0/1713.25.0.1 to 13.25.127.25413.25.127.25532,766
5213.25.128.0/1713.25.128.1 to 13.25.255.25413.25.255.25532,766
5313.26.0.0/1713.26.0.1 to 13.26.127.25413.26.127.25532,766
5413.26.128.0/1713.26.128.1 to 13.26.255.25413.26.255.25532,766
5513.27.0.0/1713.27.0.1 to 13.27.127.25413.27.127.25532,766
5613.27.128.0/1713.27.128.1 to 13.27.255.25413.27.255.25532,766
5713.28.0.0/1713.28.0.1 to 13.28.127.25413.28.127.25532,766
5813.28.128.0/1713.28.128.1 to 13.28.255.25413.28.255.25532,766
5913.29.0.0/1713.29.0.1 to 13.29.127.25413.29.127.25532,766
6013.29.128.0/1713.29.128.1 to 13.29.255.25413.29.255.25532,766
6113.30.0.0/1713.30.0.1 to 13.30.127.25413.30.127.25532,766
6213.30.128.0/1713.30.128.1 to 13.30.255.25413.30.255.25532,766
6313.31.0.0/1713.31.0.1 to 13.31.127.25413.31.127.25532,766
6413.31.128.0/1713.31.128.1 to 13.31.255.25413.31.255.25532,766
6513.32.0.0/1713.32.0.1 to 13.32.127.25413.32.127.25532,766
6613.32.128.0/1713.32.128.1 to 13.32.255.25413.32.255.25532,766
6713.33.0.0/1713.33.0.1 to 13.33.127.25413.33.127.25532,766
6813.33.128.0/1713.33.128.1 to 13.33.255.25413.33.255.25532,766
6913.34.0.0/1713.34.0.1 to 13.34.127.25413.34.127.25532,766
7013.34.128.0/1713.34.128.1 to 13.34.255.25413.34.255.25532,766
7113.35.0.0/1713.35.0.1 to 13.35.127.25413.35.127.25532,766
7213.35.128.0/1713.35.128.1 to 13.35.255.25413.35.255.25532,766
7313.36.0.0/1713.36.0.1 to 13.36.127.25413.36.127.25532,766
7413.36.128.0/1713.36.128.1 to 13.36.255.25413.36.255.25532,766
7513.37.0.0/1713.37.0.1 to 13.37.127.25413.37.127.25532,766
7613.37.128.0/1713.37.128.1 to 13.37.255.25413.37.255.25532,766
7713.38.0.0/1713.38.0.1 to 13.38.127.25413.38.127.25532,766
7813.38.128.0/1713.38.128.1 to 13.38.255.25413.38.255.25532,766
7913.39.0.0/1713.39.0.1 to 13.39.127.25413.39.127.25532,766
8013.39.128.0/1713.39.128.1 to 13.39.255.25413.39.255.25532,766
8113.40.0.0/1713.40.0.1 to 13.40.127.25413.40.127.25532,766
8213.40.128.0/1713.40.128.1 to 13.40.255.25413.40.255.25532,766
8313.41.0.0/1713.41.0.1 to 13.41.127.25413.41.127.25532,766
8413.41.128.0/1713.41.128.1 to 13.41.255.25413.41.255.25532,766
8513.42.0.0/1713.42.0.1 to 13.42.127.25413.42.127.25532,766
8613.42.128.0/1713.42.128.1 to 13.42.255.25413.42.255.25532,766
8713.43.0.0/1713.43.0.1 to 13.43.127.25413.43.127.25532,766
8813.43.128.0/1713.43.128.1 to 13.43.255.25413.43.255.25532,766
8913.44.0.0/1713.44.0.1 to 13.44.127.25413.44.127.25532,766
9013.44.128.0/1713.44.128.1 to 13.44.255.25413.44.255.25532,766
9113.45.0.0/1713.45.0.1 to 13.45.127.25413.45.127.25532,766
9213.45.128.0/1713.45.128.1 to 13.45.255.25413.45.255.25532,766
9313.46.0.0/1713.46.0.1 to 13.46.127.25413.46.127.25532,766
9413.46.128.0/1713.46.128.1 to 13.46.255.25413.46.255.25532,766
9513.47.0.0/1713.47.0.1 to 13.47.127.25413.47.127.25532,766
9613.47.128.0/1713.47.128.1 to 13.47.255.25413.47.255.25532,766
9713.48.0.0/1713.48.0.1 to 13.48.127.25413.48.127.25532,766
9813.48.128.0/1713.48.128.1 to 13.48.255.25413.48.255.25532,766
9913.49.0.0/1713.49.0.1 to 13.49.127.25413.49.127.25532,766
10013.49.128.0/1713.49.128.1 to 13.49.255.25413.49.255.25532,766
10113.50.0.0/1713.50.0.1 to 13.50.127.25413.50.127.25532,766
10213.50.128.0/1713.50.128.1 to 13.50.255.25413.50.255.25532,766
10313.51.0.0/1713.51.0.1 to 13.51.127.25413.51.127.25532,766
10413.51.128.0/1713.51.128.1 to 13.51.255.25413.51.255.25532,766
10513.52.0.0/1713.52.0.1 to 13.52.127.25413.52.127.25532,766
10613.52.128.0/1713.52.128.1 to 13.52.255.25413.52.255.25532,766
10713.53.0.0/1713.53.0.1 to 13.53.127.25413.53.127.25532,766
10813.53.128.0/1713.53.128.1 to 13.53.255.25413.53.255.25532,766
10913.54.0.0/1713.54.0.1 to 13.54.127.25413.54.127.25532,766
11013.54.128.0/1713.54.128.1 to 13.54.255.25413.54.255.25532,766
11113.55.0.0/1713.55.0.1 to 13.55.127.25413.55.127.25532,766
11213.55.128.0/1713.55.128.1 to 13.55.255.25413.55.255.25532,766
11313.56.0.0/1713.56.0.1 to 13.56.127.25413.56.127.25532,766
11413.56.128.0/1713.56.128.1 to 13.56.255.25413.56.255.25532,766
11513.57.0.0/1713.57.0.1 to 13.57.127.25413.57.127.25532,766
11613.57.128.0/1713.57.128.1 to 13.57.255.25413.57.255.25532,766
11713.58.0.0/1713.58.0.1 to 13.58.127.25413.58.127.25532,766
11813.58.128.0/1713.58.128.1 to 13.58.255.25413.58.255.25532,766
11913.59.0.0/1713.59.0.1 to 13.59.127.25413.59.127.25532,766
12013.59.128.0/1713.59.128.1 to 13.59.255.25413.59.255.25532,766
12113.60.0.0/1713.60.0.1 to 13.60.127.25413.60.127.25532,766
12213.60.128.0/1713.60.128.1 to 13.60.255.25413.60.255.25532,766
12313.61.0.0/1713.61.0.1 to 13.61.127.25413.61.127.25532,766
12413.61.128.0/1713.61.128.1 to 13.61.255.25413.61.255.25532,766
12513.62.0.0/1713.62.0.1 to 13.62.127.25413.62.127.25532,766
12613.62.128.0/1713.62.128.1 to 13.62.255.25413.62.255.25532,766
12713.63.0.0/1713.63.0.1 to 13.63.127.25413.63.127.25532,766
12813.63.128.0/1713.63.128.1 to 13.63.255.25413.63.255.25532,766
12913.64.0.0/1713.64.0.1 to 13.64.127.25413.64.127.25532,766
13013.64.128.0/1713.64.128.1 to 13.64.255.25413.64.255.25532,766
13113.65.0.0/1713.65.0.1 to 13.65.127.25413.65.127.25532,766
13213.65.128.0/1713.65.128.1 to 13.65.255.25413.65.255.25532,766
13313.66.0.0/1713.66.0.1 to 13.66.127.25413.66.127.25532,766
13413.66.128.0/1713.66.128.1 to 13.66.255.25413.66.255.25532,766
13513.67.0.0/1713.67.0.1 to 13.67.127.25413.67.127.25532,766
13613.67.128.0/1713.67.128.1 to 13.67.255.25413.67.255.25532,766
13713.68.0.0/1713.68.0.1 to 13.68.127.25413.68.127.25532,766
13813.68.128.0/1713.68.128.1 to 13.68.255.25413.68.255.25532,766
13913.69.0.0/1713.69.0.1 to 13.69.127.25413.69.127.25532,766
14013.69.128.0/1713.69.128.1 to 13.69.255.25413.69.255.25532,766
14113.70.0.0/1713.70.0.1 to 13.70.127.25413.70.127.25532,766
14213.70.128.0/1713.70.128.1 to 13.70.255.25413.70.255.25532,766
14313.71.0.0/1713.71.0.1 to 13.71.127.25413.71.127.25532,766
14413.71.128.0/1713.71.128.1 to 13.71.255.25413.71.255.25532,766
14513.72.0.0/1713.72.0.1 to 13.72.127.25413.72.127.25532,766
14613.72.128.0/1713.72.128.1 to 13.72.255.25413.72.255.25532,766
14713.73.0.0/1713.73.0.1 to 13.73.127.25413.73.127.25532,766
14813.73.128.0/1713.73.128.1 to 13.73.255.25413.73.255.25532,766
14913.74.0.0/1713.74.0.1 to 13.74.127.25413.74.127.25532,766
15013.74.128.0/1713.74.128.1 to 13.74.255.25413.74.255.25532,766
15113.75.0.0/1713.75.0.1 to 13.75.127.25413.75.127.25532,766
15213.75.128.0/1713.75.128.1 to 13.75.255.25413.75.255.25532,766
15313.76.0.0/1713.76.0.1 to 13.76.127.25413.76.127.25532,766
15413.76.128.0/1713.76.128.1 to 13.76.255.25413.76.255.25532,766
15513.77.0.0/1713.77.0.1 to 13.77.127.25413.77.127.25532,766
15613.77.128.0/1713.77.128.1 to 13.77.255.25413.77.255.25532,766
15713.78.0.0/1713.78.0.1 to 13.78.127.25413.78.127.25532,766
15813.78.128.0/1713.78.128.1 to 13.78.255.25413.78.255.25532,766
15913.79.0.0/1713.79.0.1 to 13.79.127.25413.79.127.25532,766
16013.79.128.0/1713.79.128.1 to 13.79.255.25413.79.255.25532,766
16113.80.0.0/1713.80.0.1 to 13.80.127.25413.80.127.25532,766
16213.80.128.0/1713.80.128.1 to 13.80.255.25413.80.255.25532,766
16313.81.0.0/1713.81.0.1 to 13.81.127.25413.81.127.25532,766
16413.81.128.0/1713.81.128.1 to 13.81.255.25413.81.255.25532,766
16513.82.0.0/1713.82.0.1 to 13.82.127.25413.82.127.25532,766
16613.82.128.0/1713.82.128.1 to 13.82.255.25413.82.255.25532,766
16713.83.0.0/1713.83.0.1 to 13.83.127.25413.83.127.25532,766
16813.83.128.0/1713.83.128.1 to 13.83.255.25413.83.255.25532,766
16913.84.0.0/1713.84.0.1 to 13.84.127.25413.84.127.25532,766
17013.84.128.0/1713.84.128.1 to 13.84.255.25413.84.255.25532,766
17113.85.0.0/1713.85.0.1 to 13.85.127.25413.85.127.25532,766
17213.85.128.0/1713.85.128.1 to 13.85.255.25413.85.255.25532,766
17313.86.0.0/1713.86.0.1 to 13.86.127.25413.86.127.25532,766
17413.86.128.0/1713.86.128.1 to 13.86.255.25413.86.255.25532,766
17513.87.0.0/1713.87.0.1 to 13.87.127.25413.87.127.25532,766
17613.87.128.0/1713.87.128.1 to 13.87.255.25413.87.255.25532,766
17713.88.0.0/1713.88.0.1 to 13.88.127.25413.88.127.25532,766
17813.88.128.0/1713.88.128.1 to 13.88.255.25413.88.255.25532,766
17913.89.0.0/1713.89.0.1 to 13.89.127.25413.89.127.25532,766
18013.89.128.0/1713.89.128.1 to 13.89.255.25413.89.255.25532,766
18113.90.0.0/1713.90.0.1 to 13.90.127.25413.90.127.25532,766
18213.90.128.0/1713.90.128.1 to 13.90.255.25413.90.255.25532,766
18313.91.0.0/1713.91.0.1 to 13.91.127.25413.91.127.25532,766
18413.91.128.0/1713.91.128.1 to 13.91.255.25413.91.255.25532,766
18513.92.0.0/1713.92.0.1 to 13.92.127.25413.92.127.25532,766
18613.92.128.0/1713.92.128.1 to 13.92.255.25413.92.255.25532,766
18713.93.0.0/1713.93.0.1 to 13.93.127.25413.93.127.25532,766
18813.93.128.0/1713.93.128.1 to 13.93.255.25413.93.255.25532,766
18913.94.0.0/1713.94.0.1 to 13.94.127.25413.94.127.25532,766
19013.94.128.0/1713.94.128.1 to 13.94.255.25413.94.255.25532,766
19113.95.0.0/1713.95.0.1 to 13.95.127.25413.95.127.25532,766
19213.95.128.0/1713.95.128.1 to 13.95.255.25413.95.255.25532,766
19313.96.0.0/1713.96.0.1 to 13.96.127.25413.96.127.25532,766
19413.96.128.0/1713.96.128.1 to 13.96.255.25413.96.255.25532,766
19513.97.0.0/1713.97.0.1 to 13.97.127.25413.97.127.25532,766
19613.97.128.0/1713.97.128.1 to 13.97.255.25413.97.255.25532,766
19713.98.0.0/1713.98.0.1 to 13.98.127.25413.98.127.25532,766
19813.98.128.0/1713.98.128.1 to 13.98.255.25413.98.255.25532,766
19913.99.0.0/1713.99.0.1 to 13.99.127.25413.99.127.25532,766
20013.99.128.0/1713.99.128.1 to 13.99.255.25413.99.255.25532,766
20113.100.0.0/1713.100.0.1 to 13.100.127.25413.100.127.25532,766
20213.100.128.0/1713.100.128.1 to 13.100.255.25413.100.255.25532,766
20313.101.0.0/1713.101.0.1 to 13.101.127.25413.101.127.25532,766
20413.101.128.0/1713.101.128.1 to 13.101.255.25413.101.255.25532,766
20513.102.0.0/1713.102.0.1 to 13.102.127.25413.102.127.25532,766
20613.102.128.0/1713.102.128.1 to 13.102.255.25413.102.255.25532,766
20713.103.0.0/1713.103.0.1 to 13.103.127.25413.103.127.25532,766
20813.103.128.0/1713.103.128.1 to 13.103.255.25413.103.255.25532,766
20913.104.0.0/1713.104.0.1 to 13.104.127.25413.104.127.25532,766
21013.104.128.0/1713.104.128.1 to 13.104.255.25413.104.255.25532,766
21113.105.0.0/1713.105.0.1 to 13.105.127.25413.105.127.25532,766
21213.105.128.0/1713.105.128.1 to 13.105.255.25413.105.255.25532,766
21313.106.0.0/1713.106.0.1 to 13.106.127.25413.106.127.25532,766
21413.106.128.0/1713.106.128.1 to 13.106.255.25413.106.255.25532,766
21513.107.0.0/1713.107.0.1 to 13.107.127.25413.107.127.25532,766
21613.107.128.0/1713.107.128.1 to 13.107.255.25413.107.255.25532,766
21713.108.0.0/1713.108.0.1 to 13.108.127.25413.108.127.25532,766
21813.108.128.0/1713.108.128.1 to 13.108.255.25413.108.255.25532,766
21913.109.0.0/1713.109.0.1 to 13.109.127.25413.109.127.25532,766
22013.109.128.0/1713.109.128.1 to 13.109.255.25413.109.255.25532,766
22113.110.0.0/1713.110.0.1 to 13.110.127.25413.110.127.25532,766
22213.110.128.0/1713.110.128.1 to 13.110.255.25413.110.255.25532,766
22313.111.0.0/1713.111.0.1 to 13.111.127.25413.111.127.25532,766
22413.111.128.0/1713.111.128.1 to 13.111.255.25413.111.255.25532,766
22513.112.0.0/1713.112.0.1 to 13.112.127.25413.112.127.25532,766
22613.112.128.0/1713.112.128.1 to 13.112.255.25413.112.255.25532,766
22713.113.0.0/1713.113.0.1 to 13.113.127.25413.113.127.25532,766
22813.113.128.0/1713.113.128.1 to 13.113.255.25413.113.255.25532,766
22913.114.0.0/1713.114.0.1 to 13.114.127.25413.114.127.25532,766
23013.114.128.0/1713.114.128.1 to 13.114.255.25413.114.255.25532,766
23113.115.0.0/1713.115.0.1 to 13.115.127.25413.115.127.25532,766
23213.115.128.0/1713.115.128.1 to 13.115.255.25413.115.255.25532,766
23313.116.0.0/1713.116.0.1 to 13.116.127.25413.116.127.25532,766
23413.116.128.0/1713.116.128.1 to 13.116.255.25413.116.255.25532,766
23513.117.0.0/1713.117.0.1 to 13.117.127.25413.117.127.25532,766
23613.117.128.0/1713.117.128.1 to 13.117.255.25413.117.255.25532,766
23713.118.0.0/1713.118.0.1 to 13.118.127.25413.118.127.25532,766
23813.118.128.0/1713.118.128.1 to 13.118.255.25413.118.255.25532,766
23913.119.0.0/1713.119.0.1 to 13.119.127.25413.119.127.25532,766
24013.119.128.0/1713.119.128.1 to 13.119.255.25413.119.255.25532,766
24113.120.0.0/1713.120.0.1 to 13.120.127.25413.120.127.25532,766
24213.120.128.0/1713.120.128.1 to 13.120.255.25413.120.255.25532,766
24313.121.0.0/1713.121.0.1 to 13.121.127.25413.121.127.25532,766
24413.121.128.0/1713.121.128.1 to 13.121.255.25413.121.255.25532,766
24513.122.0.0/1713.122.0.1 to 13.122.127.25413.122.127.25532,766
24613.122.128.0/1713.122.128.1 to 13.122.255.25413.122.255.25532,766
24713.123.0.0/1713.123.0.1 to 13.123.127.25413.123.127.25532,766
24813.123.128.0/1713.123.128.1 to 13.123.255.25413.123.255.25532,766
24913.124.0.0/1713.124.0.1 to 13.124.127.25413.124.127.25532,766
25013.124.128.0/1713.124.128.1 to 13.124.255.25413.124.255.25532,766
25113.125.0.0/1713.125.0.1 to 13.125.127.25413.125.127.25532,766
25213.125.128.0/1713.125.128.1 to 13.125.255.25413.125.255.25532,766
25313.126.0.0/1713.126.0.1 to 13.126.127.25413.126.127.25532,766
25413.126.128.0/1713.126.128.1 to 13.126.255.25413.126.255.25532,766
25513.127.0.0/1713.127.0.1 to 13.127.127.25413.127.127.25532,766
25613.127.128.0/1713.127.128.1 to 13.127.255.25413.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses